Aller au contenu
Dylav

[Résolu] Firefox 52 — où sont passés mes plugins

Messages recommandés

Bonjour à toutes et à tous,

 

Je n'avais pas beaucoup de plugins Firefox, mais ils m'étaient bien utiles.

 

Voulant consulter sur MyCANAL la liste des films disponibles à la demande, l'application requiert d'installer Silverlight (alors que d'habitude elle me demande de l'activer). Je fonce vérifier les Modules de Firefox, pour découvrir qu'il ne me reste plus que Shockwave Flash 24.0.0.221 icon_eek.gif

Je suis passé à Firefox 52 il y a 3 jours.

 

L'application Silverlight est effectivement installée, mais le plugin FF a disparu.

Que faire pour que l'application MyCANAL fonctionne à nouveau ?

 

J'ai vérifié que je peux lire un PDF joint à un mail, Foxit Reader se lance alors que son plugin n'est plus là. icon_Doute.gif

Mais quid des autres plugins ?

Partager ce message


Lien à poster
Partager sur d’autres sites

Hello collègue !

 

Curieux, je suis passé à FF 52.0 il y a quelques jours et n'ai pas vu (je n'ai pas tout testé !) de dysfonctionnement. Je peux accéder à MyCanal :

 

fxiu.jpg

 

Mais je ne suis pas inscrit. Peut-être qu'en allant plus loin ça coince. Je n'ai pas non plus le plugins SylverLight :

 

244l.jpg

As-tu une sauvegarde de FF (Mozbackup) ?

Partager ce message


Lien à poster
Partager sur d’autres sites

Bonjour,

 

C'est justement tout le problème de cette version 52.0 de Firefox, puisque à présent cette version ne supporte plus les plugins NPAPI, hormis Adobe Flash Player.

Silverlight, Java, Hangouts Google et autres plugins ne sont plus présent dans le navigateur.

 

En générale ce n'est pas les plugins qu'on a le plus, mais les extensions, et chez moi avec 57 extensions, doh.gif ça risque de faire mal quand FF 53.0 sortira, car lui n'acceptera plus les extensions qui ne seront pas au format WebExtension, mais ça me permettra de faire le tri.

 

Pour pouvoir continuer à utiliser ces plugins, le mieux à faire actuellement c'est d'installer en parallèle Firefox ESR (52.0) qui lui continue à prendre en charge tous les plugins et ce jusqu'en Mars 2018

 

le but étant de pouvoir exécuter en même temps une autre version de Firefox avec un profil différent ou une copie du profil principal.

 

Je viens de finaliser un tuto dans ce sens sur mes blogs externe, mais c'est spécifiquement pour Linux Ubuntu, ceci dit ça peut aussi ce faire sur Windows (je n'ai pas approfondie la question)

 

Installation et utilisation indépendante de 2 versions de Firefox sur Ubuntu 14.04LTS

 

Voir aussi cet article : Firefox 52 - comment continuer à utiliser les plugins

 

qui est une traduction et adaptation de l'article suivant : http://www.ghacks.net/2017/02/03/firefox-52-how-to-keep-on-plugins/

Modifié par Wullfk

Partager ce message


Lien à poster
Partager sur d’autres sites

Bonjour à tous,

 

Je confirme, plus d'accès à 'My canal' avec Firefox...Il va falloir patienter, d'après le message nous invitant à utiliser un autre navigateur...

 

170310021341605065.png

En souhaitant que la nouvelle version du site soit cette fois compatible également avec Linux, car sous Linux Mint, impossible d'installer Silverlight....

 

@ plus

Partager ce message


Lien à poster
Partager sur d’autres sites

@ Notpa

Ben oui, c'est en aval que ça coince...

 

@ pustelnik

Merci, c'était pourtant écrit en gros sur fond rouge ! Je raterais un éléphant dans un couloir... doh.gif

 

@ Wullfk

Merci pour le contournement « maison » de Firefox.

Mais je crains des perturbations si j'installe la version ESR à côté de l'autre sans aucune précaution ?

Partager ce message


Lien à poster
Partager sur d’autres sites

Re,

 

Actuellement, j'ai choisi de tester (sous Linux pour le moment) Pale Moon qui est un fork de Firefox, semble très bien fonctionner, (Sous Linux, je ne peux tester silverlight, donc mycanal) mais les autres plugins sont présents et fonctionnent. Il est possible de migrer le profil de Firefox, mais je préfère dans un premier temps utiliser un profil à part...

 

La version actuelle 27.1.2 est mise à jour du 03/03/2017 donc récente.

 

Des extensions sont disponibles, certaines extensions pour Firefox sont censées fonctionner, à voir à l'usage... (Par exemple, ad-block ne fonctionne pas correctement semble-t-il), j'ai installé ublock à la place et c'est aussi bien...

 

Des infos et téléchargements ici: https://www.palemoon.org/

 

Bonne soirée.

Partager ce message


Lien à poster
Partager sur d’autres sites

 

Merci pour le contournement « maison » de Firefox.

Mais je crains des perturbations si j'installe la version ESR à côté de l'autre sans aucune précaution ?

salut

Merci pour l'info

Je viens d'installer Firefox ESR et j'ai retrouvé mes extensions (VLC, java, foxit reader, ect..) la version ESR s'est mis a jour sur l'autre.

Modifié par nofic

Partager ce message


Lien à poster
Partager sur d’autres sites

 

 

@ Wullfk

Merci pour le contournement « maison » de Firefox.

Mais je crains des perturbations si j'installe la version ESR à côté de l'autre sans aucune précaution ?

Normalement en faisant les choses correctement ça fonctionne sans problème, et aucune perturbation

 

Je fonctionne comme ça sur ma VM W10 et aujourd'hui même j'ai mis à jour les deux versions de Firefox.

 

En fait sur Windows lors de l'installation de Firefox ESR, tu choisis un nouveau répertoire d'installation dans Program Files (x86), par exemple chez moi il se nomme Mozilla Firefox 2

Après il suffit dans Firefox Profil Manager de créer un nouveau profil (ex : FirefoxESR) et faire pointer vers lui lorsque tu veux utiliser FF ESR

 

Ceci dit le fonctionnement indépendant comme je le souhaite, est actuellement vraiment efficace que sur Linux Ubuntu.

Sur Windows que j'ouvre Firefox ou Firefox ESR je passe systématiquement par la fenêtre Firefox Profil Manager, et c'est pas exactement ce que je demande, je ne me suis pas complètement pencher sur le sujet, mais je pense que c'est une question de chemin dans le fichier Profil de Firefox.

 

Je regarderais ça à l'occasion, mais il doit y avoir moyen de faire comme sur Linux

 

Bon à savoir : Cyberfox, la fin dans 12 mois, triste nouvelle pour les nombreux utilisateurs de ce fork de Firefox

http://www.ghacks.net/2017/03/07/cyberfox-proclaims-death-of-web-browser/

 

Pour Palemoon aucune info de ce type, mais qui sait.....

 

 

 

Partager ce message


Lien à poster
Partager sur d’autres sites

Re,

 

Installé Palemoon sur windows 7 Home premium SP1 x64, une petite manipulation pour le mettre en français et tout fonctionne très bien, y compris mycanal (et donc le plugin silverlight)...

Je garde cette configuration optionnelle (Uniquement pour les sites nécessitant encore un (des) plugins).

Je retrouve un Firefox ancienne version, et donc pas besoin d'installer d'extension type Classic Theme Restorer...

 

@ plus

Partager ce message


Lien à poster
Partager sur d’autres sites

Bonjour à tous,

Il faut lire Firefox Notes 52.0.

Beaucoup de nouveauté dans cette version je vous donne une partie des infos.

 

Ajout d'une prise en charge de WebAssembly, une norme émergente qui apporte une performance presque native à des jeux,

des applications et des bibliothèques de logiciels Web sans l'utilisation de plugins.


Suppression de la prise en charge des plug-ins Netscape Plugin API (NPAPI) autres que Flash.
Silverlight, Java, Acrobat et similaires ne sont plus pris en charge.

Plugins NPAPI dans Firefox

Donc plus besoin de Silverlight etc.. pour lire des vidéos

Migration des utilisateurs de Firefox sur les systèmes d'exploitation Windows XP et Windows Vista vers la version ESR (Extended Support Release) de Firefox

La version ESR (Extended Support Release) de Firefox

Implémenté la spécification Strict Secure Cookies qui interdit aux sites HTTP non sécurisés de définir des cookies avec l'attribut "secure".
Dans certains cas, cela empêchera un site non sécurisé de définir un cookie portant le même nom qu'un cookie "sécurisé" existant du même domaine de base.

Ajout d'avertissements aux utilisateurs pour les pages HTTP non sécurisées avec les connexions.
Firefox affiche maintenant un message "Cette connexion n'est pas sécurisée" lorsque les utilisateurs
cliquent dans les champs Nom d'utilisateur et Mot de passe sur les pages qui n'utilisent pas HTTPS.
Communiquer les dangers du HTTP non sécurisé

 

Il reste le problème du développement Hangouts sans plugins.

 

Partager ce message


Lien à poster
Partager sur d’autres sites

Votre contenu devra être approuvé par un modérateur

Invité
Vous postez un commentaire en tant qu’invité. Si vous avez un compte, merci de vous connecter.
Répondre à ce sujet…

×   Collé en tant que texte enrichi.   Coller en tant que texte brut à la place

  Seulement 75 émoticônes maximum sont autorisées.

×   Votre lien a été automatiquement intégré.   Afficher plutôt comme un lien

×   Votre contenu précédent a été rétabli.   Vider l’éditeur

×   Vous ne pouvez pas directement coller des images. Envoyez-les depuis votre ordinateur ou insérez-les depuis une URL.


×